#include <Servo.h>

Servo myservo;
int pos = 0;

void setup() {
  Serial.begin(9600);
  myservo.attach(5);
}

void open() {
  for (pos = 0; pos <= 90; pos += 1) {
    myservo.write(pos);
    delay(15);
  }
  Serial.println("Opened");
}

void close() {
  for (pos = 90; pos >= 0; pos -= 1) {
    myservo.write(pos);
    delay(15);
  }
  Serial.println("Closed");
}

void loop() {
  if (Serial.available() > 0) {
    String data = Serial.readStringUntil('\n');  // Adjusted to read until newline
    data.trim();  // Trim whitespace and newline
    if (data.equals("OPEN!")) {
      open();
    }
    else if (data.equals("CLOSE!")) {
      close();
    }
  }
  delay(100);  // Reduce delay to respond faster if needed
}